## UDisksLinuxPartition

UDisksLinuxPartition — Linux implementation of UDisksPartition

## Functions

UDisksPartition * | udisks_linux_partition_new ()
void | udisks_linux_partition_update ()
gboolean | udisks_linux_partition_set_type_sync ()

## Types and Values

| UDisksLinuxPartition

## Object Hierarchy

        GObject
        ╰── GDBusInterfaceSkeleton
            ╰── UDisksPartitionSkeleton
                ╰── UDisksLinuxPartition

## Implemented Interfaces

UDisksLinuxPartition implements GDBusInterface and UDisksPartition.

## Description

This type provides an implementation of the UDisksPartition interface on Linux.

## Functions

### udisks_linux_partition_new ()

    UDisksPartition *
    udisks_linux_partition_new (void);

Creates a new UDisksLinuxPartition instance.

#### Returns

A new UDisksLinuxPartition. Free with `g_object_unref()`.

### udisks_linux_partition_update ()

    void
    udisks_linux_partition_update (UDisksLinuxPartition *partition,
                                   UDisksLinuxBlockObject *object);

Updates the interface.

#### Parameters

partition | A UDisksLinuxPartition. |
object | The enclosing UDisksLinuxBlockObject instance. |

### udisks_linux_partition_set_type_sync ()

    gboolean
    udisks_linux_partition_set_type_sync (UDisksLinuxPartition *partition,
                                          const gchar *type,
                                          uid_t caller_uid,
                                          GCancellable *cancellable,
                                          GError **error);

Sets the partition type. The calling thread is blocked while the operation is pending.

#### Parameters

partition | A UDisksLinuxPartition. |
type | The partition type to set. |
caller_uid | The uid of the process requesting this change or 0. |
cancellable | A GCancellable or `NULL`. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the operation succeeded, `FALSE` if error is set.

## Types and Values

### UDisksLinuxPartition

    typedef struct _UDisksLinuxPartition UDisksLinuxPartition;

The UDisksLinuxPartition structure contains only private data and should only be accessed using the provided API.